myfaces-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Cagatay Civici" <cagatay.civ...@gmail.com>
Subject Re: Tomcat 6 and myfaces 1.2
Date Fri, 04 Apr 2008 19:07:06 GMT
Hi,

MyFaces 1.2.x should work fine with tomcat 5.5 if you use facelets view
instead of jsp.

For tomcat6, try to add;

<dependency>
            <groupId>jstl</groupId>
            <artifactId>jstl</artifactId>
           <version>1.2</version>
</dependency>

Ciao,

Cagatay

On Fri, Apr 4, 2008 at 9:44 PM, Andreina <andr3ina18@gmail.com> wrote:

> Hi, hope somebody could help me
> This is the deal I've been using tomcat 5.5 and myfaces 1.1.3 but now i'm
> trying to use richfaces (the latest release) and in some forum somebody told
> my i should change the myfaces version so i've downloaded myfaces 1.2 but i
> couldn't get my application run then I read that myfaces 1.2 and tomcat 5.5
> are not compatible so i've downloaded tomcat 6, but i'm still having
> problems by now i'm getting this error:
>
> java.lang.NoClassDefFoundError - javax/servlet/jsp/jstl/core/Config
>
> these are the jars i have on my web-inf/lib folder:
>
> commons-beanutils-1.7.0
> commons-codec-1.3
> commons-collections-3.2
> commons-digester-1.8
> commons-discovery-0.4
> commons-el 1.0
> commons.lang 2.1
> commons.logging 1.1.1
>
> myfaces-api 1.2.2
> myfaces-impl 1.2.2
>
> besides the default libraries from tomcat 6.0
>
> for what i've read it could be that i need some jstl.jar, but in the past
> i didn't need it and everything worked fine
>
> I don't know if i'm missing something or if it's not correct that the
> latest richfaces release is not compatible with myfaces 1.1.3 and at the
> same time, that myfaces release, it not compatible with tomcat 5.5
>
> Hope somebody could give a hand and clearify some of my doubts
>
> Thanks in advanced
>
>

Mime
View raw message